<!DOCTYPE html>
<html lang ="en">
    <head>
        <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title><%= title %></title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <!-- Bootstrap core CSS -->
    <link href="https://getbootstrap.com/docs/3.3/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="https://getbootstrap.com/docs/3.3/assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="https://getbootstrap.com/docs/3.3/examples/starter-template/starter-template.css" rel="stylesheet">
    </head> 
    <body>
        <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="http://localhost:3000/">Assignment #10: XML and JSON</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="http://localhost:3000/">Home</a></li>
            <li><a href="rawbooksxml">Raw Books XML</a></li>
            <li><a href="rawdonutsxml">Raw Donuts XML</a></li>
            <li><a href="rawbooksjson">Raw Books JSON</a></li>
            <li><a href="rawdonutsjson">Raw Donuts JSON</a></li>
            <li><a href="booksxml">Books XML</a></li>
            <li><a href="donutsxml">Donuts XML</a></li>
            <li><a href="booksjson">Books JSON</a></li>
            <li><a href="donutsjson">Donuts JSON</a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

      <div class="starter-template">
        <h1><%= title %></h1>
        <p>Welcome to <%= title %></p>
      </div>
    <div class ='display'>
    <table class = 'general'>
      <tr>
        <th class ='tdh'>Author</th>
        <th class ='tdh'>Title</th>
        <th class ='tdh'>Genre</th>
        <th class ='tdh'>Price</th>
        <th class ='tdh'>Publish Date</th>
        <th class ='tdh'>Description</th>
      </tr>
    <% books.forEach(function(book){ %>
       <tr>
            <td class ='tdh'><%= book['author'][0] %></td>
            <td class ='tdh'><%= book['title'][0] %></td>
            <td class ='tdh'><%= book['genre'][0] %></td>
            <td class ='tdh'><%= book['price'][0] %></td>
            <td class ='tdh'><%= book['publish_date'][0] %></td>
            <td class ='tdh'><%= book['description'][0] %></td>
        </tr>
    <% }) %>
    </table>  
    </div>  
  </body>
</html>
